=== debian/changelog ===
neutron (2:13.0.2-0ubuntu3.4) cosmic-security; urgency=medium

  * SECURITY UPDATE: iptables security group rules issue
    - debian/patches/CVE-2019-9735.patch: when converting sg rules to
      iptables, do not emit dport if not supported in
      neutron/agent/linux/iptables_firewall.py,
      neutron/tests/unit/agent/linux/test_iptables_firewall.py.
    - CVE-2019-9735

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 17 Jun 2019 09:09:27 -0400

neutron (2:13.0.2-0ubuntu3.3) cosmic; urgency=medium

  * d/p/bug1826419.patch: Cherry pick fix to revert incorrect changes to
    internal DNS behaviour (LP: #1826419).

 -- James Page <james.page@ubuntu.com>  Tue, 04 Jun 2019 09:40:48 +0100

neutron (2:13.0.2-0ubuntu3.2) cosmic; urgency=medium

  * Backport fix for dvr+l3ha metadata service not available
    - d/p/Spawn-metadata-proxy-on-dvr-ha-standby-routers.patch (LP: #1606741)

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Fri, 10 May 2019 17:24:31 +0100

neutron (2:13.0.2-0ubuntu3.1) cosmic; urgency=medium

  * d/p/bug1823038.patch: Cherry pick fix to ensure that None is not
    passed as an argument when spawning the neutron-keepalived-state-change
    agent (LP: #1823038).

 -- James Page <james.page@ubuntu.com>  Tue, 09 Apr 2019 11:37:29 +0100

neutron (2:13.0.2-0ubuntu3) cosmic; urgency=medium

  * d/p/fix-KeyError-in-OVS-firewall.patch: Cherry-picked from upstream
    to prevent neutron ovs agent from crashing due to creation of two
    security groups that both use the same remote security group, where
    the first group's port range is a subset of the second (LP: #1813007).
  * d/p/set-initial-ha-router-state-in-neutron-keepalived-st.patch:
    Cherry-picked from upstream stable/rocky branch to ensure proper
    detection of MASTER HA router by neutron-keepalived-state-change
    (LP: #1818614).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Mar 2019 15:49:38 -0400

neutron (2:13.0.2-0ubuntu1) cosmic; urgency=medium

  * d/gbp.conf: Create stable/rocky branch.
  * New stable point release for OpenStack Rocky (LP: #1806049).
  * d/p/metadata-use-requests-for-comms-with-nova-api.patch,
    d/p/revert-dvr-add-error-handling.patch,
    d/p/revert-dvr-inter-tenant.patch: Dropped. Fixed in stable point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Dec 2018 12:22:57 -0500

neutron (2:13.0.1-0ubuntu1) cosmic; urgency=medium

  * New stable point release for OpenStack Rocky.
  * d/p/revert-dvr-add-error-handling.patch: Cherry-picked from upstream to
    revert DVR regressions (LP: #1751396)
  * d/p/revert-dvr-inter-tenant.patch: Cherry-picked from upstream to revert
    DVR regression (LP: #1783654).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 02 Oct 2018 17:18:19 -0400

neutron (2:13.0.0-0ubuntu4) cosmic; urgency=medium

  * d/control: Update min version of python(3)-pecan to rocky version
    (LP: #1794259).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 25 Sep 2018 09:12:54 -0400

neutron (2:13.0.0-0ubuntu3) cosmic; urgency=medium

  * Additional support for Python 3:
    - d/control, d/neutron-*.install: Move common files to neutron-common. Only
      have python(3)-neutron depend on neutron-common. Other packages that used
      to depend on neutron-common now depend on python-neutron | python3-neutron.
      Also move python(3)-neutron-fwaas to neutron-l3-agent Depends.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 04 Sep 2018 10:21:50 -0400

neutron (2:13.0.0-0ubuntu2) cosmic; urgency=medium

  * d/p/metadata-use-requests-for-comms-with-nova-api.patch: Cherry
    pick of fix to support use of certs with IP based SAN's on Nova
    API endpoints when making metadata service calls (LP: #1790598).
  * d/control: Bump minimum requests version inline with above patch.

 -- James Page <james.page@ubuntu.com>  Tue, 04 Sep 2018 14:59:36 +0100

neutron (2:13.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 10:21:41 -0400

neutron (2:13.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 16:30:02 -0400

neutron (2:13.0.0~b3-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/py36-fixes.patch: Dropped. Fixed in upstream milestone.
  * d/p/flake8-legacy.patch: Rebased.
  * d/rules: Run tests via pkgos-dh_auto_test.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Aug 2018 11:25:05 -0400

neutron (2:13.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * Add Python 3 support:
    - d/control: Add BD's for Python 3 support.
    - d/control: Add python3-neutron, alternative to python-neutron.
    - d/control,*.install: Move all py binaries to python{3}-neutron.
    - d/rules: Use pkgos-dh_auto_install for py2/py3 install.
    - d/*.postinst,prerm,postrm: Manage py binaries using alternatives.
    - d/rules: Execute py2 and py3 unit tests.
    - d/p/py36-fixes.patch: Cherry pick fix to correctly patch sys.argv,
      resolving unit test failures under Python 3.6.
    - d/*.manpages,control: Move manpages to -common package.
  * Drop old transitional packages which are no longer needed.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Jun 2018 22:10:43 +0100

neutron (2:13.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 17:01:20 +0100

neutron (2:13.0.0~b1-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to 13.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Update Standards-Version to 4.1.4.
  * d/watch, d/control, d/copyright: Use https URLs where possible.

