=== debian/tests/control ===
Tests: neutron-server neutron-agents
Depends: python-neutron, python-neutron-fwaas, neutron-server, rabbitmq-server, mysql-server
Restrictions: needs-root allow-stderr needs-recommends
