## neutron 13.0.3

=== debian/changelog ===
neutron (2:13.0.3-0ubuntu2) cosmic; urgency=medium

  * d/p/revert-iptables-tcp-checksum-fill-code.patch: Cherry-picked
    from upstream to revert invalid use of iptables -j CHECKSUM
    (LP: #1722584).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 17 Jun 2019 13:23:45 -0400

neutron (2:13.0.3-0ubuntu1) cosmic; urgency=medium

  * New stable point release for OpenStack Rocky (LP: #1830695).
  * d/p/Spawn-metadata-proxy-on-dvr-ha-standby-routers.patch:
    Dropped. Fixed upstream in 13.0.3.
  * d/p/bug1823038.patch: Dropped. Fixed upstream in 13.0.3.
  * d/p/fix-KeyError-in-OVS-firewall.patch: Dropped. Fixed upstream in 13.0.3.
  * d/p/set-initial-ha-router-state-in-neutron-keepalived-st.patch:
    Dropped. Fixed upstream in 13.0.3.
  * d/p/bug1826419.patch: Rebased to the last version published upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 04 Jun 2019 15:11:56 +0200
