## neutron 13.0.7

=== debian/changelog ===
neutron (2:13.0.7-0ubuntu1~cloud6) bionic-rocky; urgency=medium

  * Backport fix for TCP checksum issue (LP: #1832021)
    - d/p/0001-Workaround-for-TCP-checksum-issue-with-ovs-dpdk-and-.patch

 -- erlon <erlon@canonical.com>  Tue, 04 May 2021 14:40:03 -0300

neutron (2:13.0.7-0ubuntu1~cloud5) bionic-rocky; urgency=medium

  * Backport fix for dvr-snat missig rfp interfaces (LP: #1894843)
    - d/p/0001-Fix-deletion-of-rfp-interfaces-when-router-is-re-ena.patch

 -- Hemanth Nakkina <hemanth.nakkina@canonical.com>  Tue, 23 Mar 2021 08:49:30 +0530

neutron (2:13.0.7-0ubuntu1~cloud4) bionic-rocky; urgency=medium

  * Fix interrupt of VLAN traffic on reboot of neutron-ovs-agent:
    - d/p/0002-Do-not-block-connection-between-br-int-and-br-phys-o.patch (LP: #1869808)
    - d/p/0003-Ensure-that-stale-flows-are-cleaned-from-phys_bridge.patch (LP: #1864822)
    - d/p/0004-DVR-Reconfigure-re-created-physical-bridges-for-dvr-.patch (LP: #1864822)
    - d/p/0005-Ensure-drop-flows-on-br-int-at-agent-startup-for-DVR.patch (LP: #1887148)
    - d/p/0006-Don-t-check-if-any-bridges-were-recrected-when-OVS-w.patch (LP: #1864822)
    - d/p/0007-Not-remove-the-running-router-when-MQ-is-unreachable.patch (LP: #1871850)

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Mon, 22 Feb 2021 16:55:40 +0000

neutron (2:13.0.7-0ubuntu1~cloud3) bionic-rocky; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Trent Lloyd ]
  * d/p/Not-remove-the-running-router-when-MQ-is-unreachable.patch:
    Don't delete the running router when RabbitMQ is unreachable (LP: #1871850)
  * d/p/Do-not-block-connection-between-br-int-and-br-phys-o.patch:
    Do not block flow between br-int and br-phys on startup as it blocks
    VLAN traffic during router restart (LP: #1869808)
  * d/p/Ensure-drop-flows-on-br-int-at-agent-startup-for-DVR.patch:
    Ensure drop flows on br-int at agent startup for DVR too (LP: #1887148)

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 Feb 2021 13:05:52 -0500

neutron (2:13.0.7-0ubuntu1~cloud2) bionic-rocky; urgency=medium

  * d/p/Ensure-fip-ip-rules-deleted-when-fip-removed.patch
    Backport fix for dvr fip ip rule cleanup (LP: #1891673)

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Wed, 09 Sep 2020 14:53:57 +0100

neutron (2:13.0.7-0ubuntu1~cloud1) bionic-rocky; urgency=medium

  * d/watch: Switch to opendev.org.
  * New stable point release for OpenStack Rocky (LP: #1875462).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 May 2020 13:16:02 -0400

neutron (2:13.0.6-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * New stable point release for OpenStack Rocky (LP: #1853320).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Jan 2020 15:41:25 -0500

neutron (2:13.0.4-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * New stable point release for OpenStack Rocky (LP: #1837866).
  * d/p/revert-iptables-tcp-checksum-fill-code.patch: Dropped.
    Fixed upstream in 13.0.4.
  * d/p/bug1826419.patch: Dropped. Fixed upstream in 13.0.4.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 25 Jul 2019 13:59:20 +0200

neutron (2:13.0.3-0ubuntu2~cloud0) bionic-rocky; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 25 Jun 2019 23:45:26 +0000
