=== debian/control ===
--- 
+++ 
@@ -149,8 +149,8 @@
  python3-webtest (>= 2.0.27),
  rename,
 Standards-Version: 4.1.4
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron
 Homepage: https://docs.openstack.org/neutron
 
 Package: neutron-dhcp-agent
