=== debian/changelog ===
neutron (2:13.0.7+git.2021.09.27.bace3d1890-0+deb10u1) buster-security; urgency=medium

  * New upstream point release.
    - CVE-2021-40085: By supplying a specially crafted extra_dhcp_opts value,
      an authenticated user may add arbitrary configuration to the dnsmasq
      process in order to crash the service, change parameters for other
      tenants sharing the same interface, or otherwise alter that daemon's
      behavior. This vulnerability may also be used to trigger a configuration
      parsing buffer overflow in versions of dnsmasq prior to 2.81, which could
      lead to remote code execution. All Neutron deployments are affected.
      (Closes: #993398)
  * Add Add_a_healthcheck_URL.patch.
  * Removed patches applied upstream:
    - rootwrap-fix-for-neutron-fwaas.patch
    - CVE-2019-10876_rocky_fix_KeyError_in_OVS_firewall.patch
    - CVE-2019-9735_When_converting_sg_rules_to_iptables_do_not_emit_d....patch
  * Refreshed multiple patches.
  * Add the neccessary debconf stuff to stop modifying config files on
    upgrades.
  * Add patch:
    - revert-call-install_ingress_direct_goto_flows_when_ovs_restarts.patch

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Sep 2021 13:42:16 +0200

neutron (2:13.0.2-15) unstable; urgency=high

  * Do not set external_network_bridge=br-ex by default in l3_agent.ini:
    1/ this is deprecated upstream, and 2/ this prevent from setting-up
    multiple external networks.
  * CVE-2019-10876: By creating two security groups with separate/overlapping
    port ranges, an authenticated user may prevent Neutron from being able to
    configure networks on any compute nodes where those security groups are
    present, because of an Open vSwitch (OVS) firewall KeyError. Applied
    upstream patch: Fix KeyError in OVS firewall (Closes: #926502).

 -- Thomas Goirand <zigo@debian.org>  Sat, 06 Apr 2019 23:01:34 +0200

neutron (2:13.0.2-14) unstable; urgency=medium

  * Fix setting nova auth_url in postinst (Closes: #924648).

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 15 Mar 2019 13:21:50 +0100

neutron (2:13.0.2-13) unstable; urgency=high

  * CVE-2019-9735: it's possible to add a security group rule for VRRP with a
    dport. Apply upstream patch: When converting sg rules to iptables, do not
    emit dport if not supported. (Closes: #924508).

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Mar 2019 00:13:45 +0100

neutron (2:13.0.2-12) unstable; urgency=medium

  * Fix rootwrap patch to work against Python 3.7.
  * Add Join_on_explcit_relationship_paths.patch, which adds compatibility
    with SQLAlchemy >= 1.3.x (previously, adding a floating IP would fail).

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Mar 2019 13:49:34 +0100

neutron (2:13.0.2-10) unstable; urgency=medium

  * Fix reading [nova]/auth_url in config script.
  * Do not write password of [nova] credentials if input is empty.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Feb 2019 09:35:46 +0100

neutron (2:13.0.2-9) unstable; urgency=medium

  * Remove neutron-metadata-agent from dependencies of dhcp and l3 agents.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Jan 2019 17:15:18 +0100

neutron (2:13.0.2-8) unstable; urgency=medium

  * Redirect iptables calls on ovs-agent startup to /dev/null.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Jan 2019 13:36:19 +0100

neutron (2:13.0.2-7) unstable; urgency=medium

  * Also do the "ip6tables -t raw -L || true" trick.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Jan 2019 11:09:48 +0100

neutron (2:13.0.2-6) unstable; urgency=medium

  * Do not pass twice openvswitch_agent.ini as parameter to ovs-agent.
  * ovs-agent: run "iptables -t raw -L || true" to initialize the driver so
    that "iptables-save -t raw" works.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Jan 2019 11:20:32 +0100

neutron (2:13.0.2-5) unstable; urgency=medium

  * Fix /usr/bin/neutron-plugin-manage. (Closes: #918808).

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Jan 2019 09:38:30 +0100

neutron (2:13.0.2-4) unstable; urgency=medium

  [ Thomas Goirand ]
  * Do not wrongly "fix" rights of /usr/bin/neutron-plugin-manage.
  * Do not manage plugin symlinks and let individual package simply ship them.
  * Update Debconf templates translations, with thanks to:
    - Dutch: Frans Spiesschaert <Frans.Spiesschaert@yucom.be> (Closes: #914532)
    - German:  Chris Leick <c.leick@vollbio.de> (Closes: #913994).
    - French: Alban Vidal <alban.vidal@zordhak.fr> (Closes: #913562).

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Jan 2019 05:48:46 +0100

neutron (2:13.0.2-3) unstable; urgency=medium

  * Fix reading config in neutron-plugin-manage

 -- Michal Arbet <michal.arbet@ultimum.io>  Sun, 02 Dec 2018 14:54:00 +0100

neutron (2:13.0.2-2) unstable; urgency=medium

  * d/control: Bump openstack-pkg-tools to 89

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 13 Nov 2018 14:01:27 +0100

neutron (2:13.0.2-1) unstable; urgency=medium

  [ Michal Arbet ]
  * New upstream version
  * d/control:
      - Add python3-requests {build-}dependencies
      - Add python3-openstackclient dependency (Closes: #913428)
  * d/neutron-common.postrm.in:
      - Add deletion of /etc/neutron/metadata_agent.ini (Closes: #913224)
  * Run wrap-and-sort -bast
  * Update debconf templates

 -- Michal Arbet <michal.arbet@ultimum.io>  Sat, 10 Nov 2018 22:01:28 +0100

neutron (2:13.0.1-6) unstable; urgency=medium

  * d/neutron-plugin-manage: Improve maintainer script.

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 05 Nov 2018 12:58:40 +0100
